> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RWA Issuer Data by ID

> To query the market data (market cap, volume, etc.) and tokens of an issuer based on a particular issuer ID

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Find an issuer's API ID via [RWA Issuers List](/demo/reference/rwas-issuers-list).
* Each `tokens.id` is also a coin ID. Use it with [Coin Data by ID](/demo/reference/coins-id) to query the individual token.

<Note>
  `market_cap`, `market_cap_change_24h`, and `volume_24h` are aggregated across the tokens issued by this issuer. All values are in USD.
</Note>

<CacheInfo rate="60 seconds" />


## OpenAPI

````yaml openapi-specs/demo-api.json get /rwas/issuers/{id}
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /rwas/issuers/{id}:
    get:
      summary: RWA Issuer Data by ID
      description: >-
        To query the market data (market cap, volume, etc.) and tokens of an
        issuer based on a particular issuer ID
      operationId: rwas-issuers-id
      parameters:
        - name: id
          in: path
          required: true
          description: |-
            Issuer ID. 
            *refers to [`/rwas/issuers/list`](/reference/rwas-issuers-list)
          schema:
            type: string
            default: paxos
      responses:
        '200':
          description: RWA issuer data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RwasIssuersID'
              example:
                id: paxos
                name: Paxos
                market_cap: 1284650000
                market_cap_change_24h: 14203500
                volume_24h: 58217400
                tokens:
                  - id: pax-gold
                    symbol: paxg
                    name: PAX Gold
                    platforms:
                      ethereum: '0x45804880de22913dafe09f4980848ece6ecbaf78'
                  - id: paxos-standard
                    symbol: usdp
                    name: Pax Dollar
                    platforms:
                      ethereum: '0x8e870d67f660d95d5be530380d0ec0bd388289e1'
                      binance-smart-chain: '0xb3c11196a4f3b1da7c23d9fb0a3dde9c6340934f'
                updated_at: '2026-07-31T15:24:00+00:00'
components:
  schemas:
    RwasIssuersID:
      type: object
      required:
        - id
        - name
        - market_cap
        - market_cap_change_24h
        - volume_24h
        - updated_at
      properties:
        id:
          type: string
          description: Issuer ID
        name:
          type: string
          description: Issuer name
        market_cap:
          type: number
          nullable: true
          description: Issuer market cap in USD
        market_cap_change_24h:
          type: number
          nullable: true
          description: 24-hour issuer market cap change in USD
        volume_24h:
          type: number
          nullable: true
          description: 24-hour issuer trading volume in USD
        tokens:
          type: array
          description: Tokens issued by this issuer
          items:
            type: object
            properties:
              id:
                type: string
                description: Token ID
              symbol:
                type: string
                description: Token symbol
              name:
                type: string
                description: Token name
              platforms:
                type: object
                description: Token asset platform and contract address
                additionalProperties:
                  type: string
        updated_at:
          type: string
          format: date-time
          description: Issuer last updated timestamp
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````